environment:
  matrix:
    - RUST: stable
      BITS: 32
    - RUST: stable
      BITS: 64

install:
  - IF "%BITS%" == "32" SET ARCH=i686
  - IF "%BITS%" == "64" SET ARCH=x86_64
  - curl -sSf -o rustup-init.exe https://win.rustup.rs
  - rustup-init.exe --default-host "%ARCH%-pc-windows-gnu" --default-toolchain %RUST% -y
  - SET PATH=C:\Users\appveyor\.cargo\bin;C:\msys64\mingw%BITS%\bin;%PATH%;C:\msys64\usr\bin
  - rustc -Vv
  - cargo -Vv
  - pacman --noconfirm -S mingw-w64-%ARCH%-gtk3 mingw-w64-%ARCH%-gtk3

build_script:
  - cd rust
  - cargo build
  - cargo test

test: false
